javax.persistence

## Enum CacheStoreMode

- java.lang.Object
- - java.lang.Enum<CacheStoreMode>
  - - javax.persistence.CacheStoreMode

All Implemented Interfaces:
  Serializable, Comparable<CacheStoreMode>

    public enum CacheStoreMode
    extends Enum<CacheStoreMode>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BYPASS`
`REFRESH`
`USE`

### Method Summary

All Methods Static Methods Concrete Methods
`static CacheStoreMode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CacheStoreMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### USE

    public static final CacheStoreMode USE

#### BYPASS

    public static final CacheStoreMode BYPASS

#### REFRESH

    public static final CacheStoreMode REFRESH

### Method Detail

#### values

    public static CacheStoreMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CacheStoreMode c : CacheStoreMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CacheStoreMode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null